---
include:
  - component: "$CI_SERVER_FQDN/eduit/gitlab-ci-lib/ansible-linting@master"
  - component: "$CI_SERVER_FQDN/eduit/gitlab-ci-lib/semaphore-trigger@master"
    inputs:
      server: semaphore.ethz.ch
      project: '11'
      template: '133'
      limit: eduit-sysmgt-01
    rules:
      - if: '$CI_COMMIT_BRANCH == "main"'
        when: always
  - component: "$CI_SERVER_FQDN/eduit/gitlab-ci-lib/semaphore-trigger@master"
    inputs:
      server: semaphore-staging.ethz.ch
      project: '1'
      template: '3'
      token: "$SEMAPHORE_STAGING_TOKEN"
      limit: eduit-sysmgt-02
    rules:
      - if: '$CI_COMMIT_BRANCH == "staging"'
        when: always

stages:
#  - tests
  - lint
  - update

image: registry.ethz.ch/ansible-community/images/molecule-testing:24.0.4-dind
services:
  - name: registry.ethz.ch/ansible-community/images/molecule-testing:24.0.4-dind

variables:
  PY_COLORS: 1
  GIT_STRATEGY: clone

# before_script:
#   - docker -v
#   - python3 -V
#   - ansible --version
#   - molecule --version

# # Test nagios installation
# nagios-test:
#   stage: tests
#   tags:
#     - docker
#   script:
#     - cd roles/nagios_plugins;
#       molecule test;
#   only:
#     changes:
#       - .gitlab-ci.yml
#       - roles/nagios_plugins/**/*
